Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::GDPDepay Class Reference
[gstreamermm Plugins]

A Wrapper for the gdpdepay plugin. More...

Inheritance diagram for Gst::GDPDepay:
[legend]
Collaboration diagram for Gst::GDPDepay:
[legend]

List of all members.

## Public Member Functions
virtual | ~GDPDepay ()
GstGDPDepay* | gobj ()
| Provides access to the underlying C GObject.
const GstGDPDepay* | gobj () const
| Provides access to the underlying C GObject.
GstGDPDepay* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Static Public Member Functions
static Glib::RefPtr< GDPDepay > | create ()
| Creates a new gdpdepay plugin with a unique name.
static Glib::RefPtr< GDPDepay > | create (const Glib::ustring& name)
| Creates a new gdpdepay plugin with the given name.
## Protected Member Functions
| GDPDepay ()
| GDPDepay (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::GDPDepay > | wrap (GstGDPDepay* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the gdpdepay plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::GDPDepay::~GDPDepay | ( | ) | `[virtual]`

Gst::GDPDepay::GDPDepay | ( | ) | `[protected]`

Gst::GDPDepay::GDPDepay | ( | const Glib::ustring & | name ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<GDPDepay> Gst::GDPDepay::create | ( | ) | `[static]`

Creates a new gdpdepay plugin with a unique name.

static Glib::RefPtr<GDPDepay> Gst::GDPDepay::create | ( | const Glib::ustring & | name ) | `[static]`

Creates a new gdpdepay plugin with the given name.

const GstGDPDepay* Gst::GDPDepay::gobj | ( | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstGDPDepay* Gst::GDPDepay::gobj | ( | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstGDPDepay* Gst::GDPDepay::gobj_copy | ( | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::GDPDepay > wrap | ( | GstGDPDepay * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/gdpdepay.h